# Uses of Class
java.text.BreakIterator

Packages that use BreakIterator
Package
Description
com.sun.source.util
Provides utilities for operations on abstract syntax trees (AST).
java.awt.font
Provides classes and interface relating to fonts.
java.text
Provides classes and interfaces for handling text, dates, numbers, and messages in a manner independent of natural languages.
java.text.spi
Service provider classes for the classes in the java.text package.

- ## Uses of BreakIterator in com.sun.source.util

  Methods in com.sun.source.util that return BreakIterator
  Modifier and Type
  Method
  Description
  `abstract BreakIterator`
  DocTrees.`getBreakIterator()`
  Returns the break iterator used to compute the first sentence of documentation comments.
  Methods in com.sun.source.util with parameters of type BreakIterator
  Modifier and Type
  Method
  Description
  `abstract void`
  DocTrees.`setBreakIterator(BreakIterator breakIterator)`
  Sets the break iterator to compute the first sentence of documentation comments.

- ## Uses of BreakIterator in java.awt.font

  Constructors in java.awt.font with parameters of type BreakIterator
  Modifier
  Constructor
  Description
  ``
  `LineBreakMeasurer(AttributedCharacterIterator text, BreakIterator breakIter, FontRenderContext frc)`
  Constructs a `LineBreakMeasurer` for the specified text.

- ## Uses of BreakIterator in java.text

  Methods in java.text that return BreakIterator
  Modifier and Type
  Method
  Description
  `static BreakIterator`
  BreakIterator.`getCharacterInstance()`
  Returns a new `BreakIterator` instance for character breaks for the default locale.
  `static BreakIterator`
  BreakIterator.`getCharacterInstance(Locale locale)`
  Returns a new `BreakIterator` instance for character breaks for the given locale.
  `static BreakIterator`
  BreakIterator.`getLineInstance()`
  Returns a new `BreakIterator` instance for line breaks for the default locale.
  `static BreakIterator`
  BreakIterator.`getLineInstance(Locale locale)`
  Returns a new `BreakIterator` instance for line breaks for the given locale.
  `static BreakIterator`
  BreakIterator.`getSentenceInstance()`
  Returns a new `BreakIterator` instance for sentence breaks for the default locale.
  `static BreakIterator`
  BreakIterator.`getSentenceInstance(Locale locale)`
  Returns a new `BreakIterator` instance for sentence breaks for the given locale.
  `static BreakIterator`
  BreakIterator.`getWordInstance()`
  Returns a new `BreakIterator` instance for word breaks for the default locale.
  `static BreakIterator`
  BreakIterator.`getWordInstance(Locale locale)`
  Returns a new `BreakIterator` instance for word breaks for the given locale.

- ## Uses of BreakIterator in java.text.spi

  Methods in java.text.spi that return BreakIterator
  Modifier and Type
  Method
  Description
  `abstract BreakIterator`
  BreakIteratorProvider.`getCharacterInstance(Locale locale)`
  Returns a new `BreakIterator` instance for character breaks for the given locale.
  `abstract BreakIterator`
  BreakIteratorProvider.`getLineInstance(Locale locale)`
  Returns a new `BreakIterator` instance for line breaks for the given locale.
  `abstract BreakIterator`
  BreakIteratorProvider.`getSentenceInstance(Locale locale)`
  Returns a new `BreakIterator` instance for sentence breaks for the given locale.
  `abstract BreakIterator`
  BreakIteratorProvider.`getWordInstance(Locale locale)`
  Returns a new `BreakIterator` instance for word breaks for the given locale.